Bug 496074 - warnings while updating from F11Beta to F11Snapshot1
warnings while updating from F11Beta to F11Snapshot1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrestoTestDay
  Show dependency treegraph
 
Reported: 2009-04-16 09:54 EDT by Jan Hutař
Modified: 2010-06-28 07:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-04-16 09:54:05 EDT
Description of problem:
When I was updating from F11Beta to F11Snapshot1, I noticed these problems.


Version-Release number of selected component (if applicable):
glibc-2.9.90-15.i686


How reproducible:
2 of 2


Steps to Reproduce:
1. # yum -y upgrade   # on the Beta system (with yum-presto plugin, but that should not be relevant)


Actual results:
  Updating       : glibc                                                                                                                             14/518 
/usr/sbin/glibc_post_upgrade: While trying to execute /sbin/service child exited with exit code 6
Non-fatal POSTIN scriptlet failure in rpm package glibc-2.9.90-15.i686
warning: %post(glibc-2.9.90-15.i686) scriptlet failed, exit status 6


Expected results:
No error


Additional info:
http://fpaste.org/paste/9264
Comment 1 adriano 2009-04-22 15:12:28 EDT
Exactly the same problem upgrading from f11 beta to rawhide with glibc-2.9.90-19
After reboot my linux box is unusable (permission problems on lib.so.6)


(In reply to comment #0)
> Description of problem:
> When I was updating from F11Beta to F11Snapshot1, I noticed these problems.
> 
> 
> Version-Release number of selected component (if applicable):
> glibc-2.9.90-15.i686
> 
> 
> How reproducible:
> 2 of 2
> 
> 
> Steps to Reproduce:
> 1. # yum -y upgrade   # on the Beta system (with yum-presto plugin, but that
> should not be relevant)
> 
> 
> Actual results:
>   Updating       : glibc                                                       
>                                                                      14/518 
> /usr/sbin/glibc_post_upgrade: While trying to execute /sbin/service child
> exited with exit code 6
> Non-fatal POSTIN scriptlet failure in rpm package glibc-2.9.90-15.i686
> warning: %post(glibc-2.9.90-15.i686) scriptlet failed, exit status 6
> 
> 
> Expected results:
> No error
> 
> 
> Additional info:
> http://fpaste.org/paste/9264
Comment 2 adriano 2009-04-23 05:44:53 EDT
Today I have reinstalled the fedora beta from scratch and updated again to the rawhide release. I had the same warning during the update process but now my linux box is running without problems (before it was unusable).
Bye



(In reply to comment #1)
> Exactly the same problem upgrading from f11 beta to rawhide with
> glibc-2.9.90-19
> After reboot my linux box is unusable (permission problems on lib.so.6)
> 
> 
> (In reply to comment #0)
> > Description of problem:
> > When I was updating from F11Beta to F11Snapshot1, I noticed these problems.
> > 
> > 
> > Version-Release number of selected component (if applicable):
> > glibc-2.9.90-15.i686
> > 
> > 
> > How reproducible:
> > 2 of 2
> > 
> > 
> > Steps to Reproduce:
> > 1. # yum -y upgrade   # on the Beta system (with yum-presto plugin, but that
> > should not be relevant)
> > 
> > 
> > Actual results:
> >   Updating       : glibc                                                       
> >                                                                      14/518 
> > /usr/sbin/glibc_post_upgrade: While trying to execute /sbin/service child
> > exited with exit code 6
> > Non-fatal POSTIN scriptlet failure in rpm package glibc-2.9.90-15.i686
> > warning: %post(glibc-2.9.90-15.i686) scriptlet failed, exit status 6
> > 
> > 
> > Expected results:
> > No error
> > 
> > 
> > Additional info:
> > http://fpaste.org/paste/9264
Comment 3 Peter Bieringer 2009-05-21 09:39:13 EDT
This strange message hits me too while upgrading a F10 system from 

glibc-2.9-3.i686 to glibc-2.10.1-1.i686 because of https://bugzilla.redhat.com/show_bug.cgi?id=486602

But system is still usable after boot.
Comment 4 Peter Bieringer 2009-05-21 09:47:44 EDT
Just note funnywise it does not occur on a clone of the system using rpm -Uhv glibc-* nss-*  (the same 4 minimum req. packages), in https://bugzilla.redhat.com/show_bug.cgi?id=496074#c3 yum was used with --enable-rawhide
Comment 5 Bug Zapper 2009-06-09 09:55:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andreas Schwab 2009-08-12 12:06:05 EDT
Does this still happen?
Comment 7 Bug Zapper 2010-04-27 09:42:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:51:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.